[Plasmoide] Flexible Tasks

 

Flexible Tasks

Para hoy traigo un plasmoide que nos permitirá mostrar los programas en ejecución al estilo de Windows 7. Se trata de Flexible Tasks, y que para instalar hace falta una cosa “odiosa” para los novatos: compilar.

Vamos a ver, antes de nada tenemos que instalar las herramientas necesarias para compilar cualquier código fuente; en Ubuntu, si no recuerdo mal, se hace sudo apt-get install build-essential y en Pardus podemos hacer sudo pisi it -c system.devel.

Una vez instaladas las herramientas también nos hace falta cumplir los requisitos que pide el programa:

  • KDE >= 4.4 Headers files (kde development packages)
  • QT >= 4.6 Header files (QT development packages)

Por lo tanto tenemos que instalar también los paquetes dev de KDE y Qt. Pueden tener diferentes nombres dependiendo de la distribución que uses 😉

Ahora que ya tenemos todo lo necesario pasamos a compilar:

Primero nos situamos dentro de la carpeta del script (mediante la consola) y escribimos lo siguiente:

 

cmake -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix`

Si todo ha ido bien y no nos ha salido ningún mensaje de error pasamos al siguiente paso:

 

make

Lo mismo, si no tuvimos problemas instalamos finalmente el plasmoide:

 

sudo make install

Ahora solo nos queda quitar el plasmoide que viene por defecto y poner el nuevo 😉

 

Flexible Tasks

Descarga | Flexible Tasks

NOTA: a lo mejor si buscas en los repositorios de tu distribución Linux lo puedes encontrar, si no ya sabes lo que toca 😛

Anuncios

17 pensamientos en “[Plasmoide] Flexible Tasks

  1. Hola amigo que tal,
    Gran tutorial jajaja… ¿puedo ponerlo en KDE4Life?
    Claro está, dejaría referencias al tutorial original y a su autor (o sea tú jeje) ^_^

    Gracias por el tuto, espero tu respuesta.
    Saludos

    PD: Amigo es sin obligación ninguna, no te preocupes que si no deseas que el tutorial sea publicado fuera de tu blog, te entendería perfectamente 🙂

    • Amigo mío, tienes un botón debajo de cada post llamado Share, ahí puedes encontrar uno con el de WordPress (Press this) que te permite rebloguear cualquier post 😉

      En pocas palabras, puedes publicar cualquier cosa de este blog en el tuyo, no hace falta que me pidas permiso, ok? 😀

  2. saludos me salen unos errores y es por que no tengo los paquetes de qt dev que asen falta tengo Pardus 2011 con kde 4.6.2. y si busco en el pisi y pongo qt aparesen como 27 paquetes que tienen que ver con Qt si supieras cuales son los paquetes exactos que tengo que instalar me seria de gran ayuda que pases buen dia

  3. Pingback: Instalar Flexible Tasks en Pardus. | Pardus Life

  4. encontre los paquetes de qt-devel y tambien puse kde-devel y me salio pthyton kde devel y lo instale pero sige saliendo el mismo error flexibletasks $ cmake -DCMAKE_INSTALL_PREFIX=`kde4-config –prefix`
    — The C compiler identification is GNU
    — The CXX compiler identification is GNU
    — Check for working C compiler: /usr/bin/gcc
    — Check for working C compiler: /usr/bin/gcc — works
    — Detecting C compiler ABI info
    — Detecting C compiler ABI info – done
    — Check for working CXX compiler: /usr/bin/c++
    — Check for working CXX compiler: /usr/bin/c++ — works
    — Detecting CXX compiler ABI info
    — Detecting CXX compiler ABI info – done
    CMake Error at /usr/share/cmake/Modules/FindKDE4.cmake:98 (MESSAGE):
    ERROR: cmake/modules/FindKDE4Internal.cmake not found in
    /home/hinux/.kde/share/apps;/usr/share/kde4/apps
    Call Stack (most recent call first):
    CMakeLists.txt:5 (find_package)

    CMake Warning (dev) in CMakeLists.txt:
    No cmake_minimum_required command is present. A line of code such as

    cmake_minimum_required(VERSION 2.8)

    should be added at the top of the file. The version specified may be lower
    if you wish to support older CMake versions for this project. For more
    information run “cmake –help-policy CMP0000”.
    This warning is for project developers. Use -Wno-dev to suppress it.

    — Configuring incomplete, errors occurred!

    • En Pardus Life han puesto las dependencias:
      sudo pisi it kdelibs-devel automoc4 boost-devel kernel-headers

      intententa instalando ésas, porque según el error te falta kdelibs-devel (o libkde4, según la distribución).

      • grasias pero tuve que volver a reistalar el Pardus. parese que el paquete de kde devel que instale me confligio con el sistema y no me queria abrir el pisi y el firewall me indicaba un error pero grasias por tu tiempo y por publicar la entrada en Pardus life q tengas buen dia

  5. CMake Error at /usr/share/cmake-2.8/Modules/FindKDE4.cmake:98 (MESSAGE):
    ERROR: cmake/modules/FindKDE4Internal.cmake not found in
    /home/brainiak/.kde/share/apps;/usr/share/kubuntu-default-settings/kde4-profile/default/share/apps;/usr/share/kde4/apps
    Call Stack (most recent call first):
    CMakeLists.txt:5 (find_package)

    CMake Warning (dev) in CMakeLists.txt:
    No cmake_minimum_required command is present. A line of code such as

    cmake_minimum_required(VERSION 2.8)

    should be added at the top of the file. The version specified may be lower
    if you wish to support older CMake versions for this project. For more
    information run “cmake –help-policy CMP0000”.
    This warning is for project developers. Use -Wno-dev to suppress it.

    — Configuring incomplete, errors occurred!

    me aparece esto en la terminal estoy usando Edubuntu 11.04
    y ya tengo KDE y QT

    • ¿Has instalado las dependencias?

      kdelibs-devel automoc4 boost-devel kdebase-workspace-dev

      Dependiendo de la distro los nombres varían 😉
      Como usas una distro *buntu, deberías, si no lo has hecho ya, instalar build-essentials que trae muchas herramientas para compilar 🙂

      Saludos!

      • si y me aparece esto
        CMake Error at /usr/share/cmake-2.8/Modules/FindKDE4.cmake:98 (MESSAGE):
        ERROR: cmake/modules/FindKDE4Internal.cmake not found in
        /home/brainiak/.kde/share/apps;/usr/share/kubuntu-default-settings/kde4-profile/default/share/apps;/usr/share/kde4/apps
        Call Stack (most recent call first):
        CMakeLists.txt:6 (find_package)

        — Configuring incomplete, errors occurred!

  6. Hola, no se si recuerdes que en pardus life escribí que no puede instalar flexible tasks debido a 2 errores, ya tienes alguna solucion para ello? o algun task manager parecido a este? porq el predeterminado me parece un poco molesto :/
    Si no me recuerdas te puedo linkear al foro xD
    Gracias.

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s